# FoundationClasses
TKernel
TColStd

# TColStd_HArray2OfInteger Class Reference

`#include <TColStd_HArray2OfInteger.hxx>`

Inheritance diagram for TColStd_HArray2OfInteger:

[legend]

## Public Member Functions

Standard_EXPORT | TColStd_HArray2OfInteger (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | TColStd_HArray2OfInteger (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const Standard_Integer &V)
Standard_EXPORT void | Init (const Standard_Integer &V)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Standard_Integer &Value)
Standard_EXPORT const Standard_Integer & | Value (const Standard_Integer Row, const Standard_Integer Col) const
Standard_EXPORT Standard_Integer & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
const TColStd_Array2OfInteger & | Array2 () const
TColStd_Array2OfInteger & | ChangeArray2 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_Array2OfInteger | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_HArray2OfInteger::TColStd_HArray2OfInteger | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT TColStd_HArray2OfInteger::TColStd_HArray2OfInteger | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const Standard_Integer & | V
| ) |

## Member Function Documentation

const TColStd_Array2OfInteger& TColStd_HArray2OfInteger::Array2 | ( |  | ) | const

TColStd_Array2OfInteger& TColStd_HArray2OfInteger::ChangeArray2 | ( |  | ) |

Standard_EXPORT Standard_Integer& TColStd_HArray2OfInteger::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer TColStd_HArray2OfInteger::ColLength | ( |  | ) | const

Standard_EXPORT const TColStd_HArray2OfInteger::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColStd_HArray2OfInteger::Init | ( | const Standard_Integer & | V | ) |

Standard_Integer TColStd_HArray2OfInteger::LowerCol | ( |  | ) | const

Standard_Integer TColStd_HArray2OfInteger::LowerRow | ( |  | ) | const

Standard_Integer TColStd_HArray2OfInteger::RowLength | ( |  | ) | const

void TColStd_HArray2OfInteger::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Standard_Integer & | Value
| ) |

Standard_Integer TColStd_HArray2OfInteger::UpperCol | ( |  | ) | const

Standard_Integer TColStd_HArray2OfInteger::UpperRow | ( |  | ) | const

Standard_EXPORT const Standard_Integer& TColStd_HArray2OfInteger::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

TColStd_Array2OfInteger TColStd_HArray2OfInteger::myArray `[private]`

The documentation for this class was generated from the following file:

- TColStd_HArray2OfInteger.hxx